## org.eclipse.m2m.atl.adt.ui.text
Class AtlTextDoubleClickStrategy

    java.lang.Object
      org.eclipse.jface.text.DefaultTextDoubleClickStrategy
          org.eclipse.m2m.atl.adt.ui.text.AtlTextDoubleClickStrategy

All Implemented Interfaces:
  org.eclipse.jface.text.ITextDoubleClickStrategy

    public class AtlTextDoubleClickStrategy

extends org.eclipse.jface.text.DefaultTextDoubleClickStrategy

This class permits to redefine the default double-clic strategy by selecting a block of matching brackets or a word in an expression.

Constructor Summary
`AtlTextDoubleClickStrategy()`

Method Summary
`protected org.eclipse.jface.text.IRegion` `findExtendedDoubleClickSelection(org.eclipse.jface.text.IDocument document, int offset)`

Methods inherited from class org.eclipse.jface.text.DefaultTextDoubleClickStrategy
`doubleClicked, findWord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlTextDoubleClickStrategy

    public AtlTextDoubleClickStrategy()

Method Detail

### findExtendedDoubleClickSelection

    protected org.eclipse.jface.text.IRegion findExtendedDoubleClickSelection(org.eclipse.jface.text.IDocument document,
                                                                              int offset)

  Overrides:
    `findExtendedDoubleClickSelection` in class `org.eclipse.jface.text.DefaultTextDoubleClickStrategy`
  See Also:
    `org.eclipse.jface.text.DefaultTextDoubleClickStrategy.findExtendedDoubleClickSelection(IDocument, int)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.